dictSetValue(3)

NAME
dictSetValue - set/reset an items value.

SYNOPSIS
#include <util/dict.h> NEOERR *dictSetValue(dictCtx dict, const char *id, void *value);

ARGUMENTS
dict - dictionary to add pair to.
id - identifier to insert/update
value - value to store (may NOT be NULL)

DESCRIPTION
Updates the <id>/<value> pair into <dict>. If <id> is not in <dict>, it is created. MT-Level: Safe if <dict> thread-safe.

RETURN VALUE
None.

SEE ALSO
dictDestroy(3), dictCleanup(3), dictReleaseLock(3), dictRemove(3), dictNext(3), dictCreate(3), dictSetValue(3), dictModifyValue(3), dictSearch